import { createApp } from 'vue'
import { setGlobalDataPlugin } from '@tarojs/taro'
import './app.css'

const App = createApp({
  onShow(options) { },
  // 入口组件不需要实现 render 方法，即使实现了也会被 taro 所覆盖
})

// 全局变量 refer: https://docs.taro.zone/docs/come-from-miniapp#%E5%85%A8%E5%B1%80%E5%8F%98%E9%87%8F
App.use(setGlobalDataPlugin, {
  globalData: {
    baseUrl: "http://localhost:8080", // 不带最后的 /
  }
})

export default App
